.content-components {
    font-size: 0.75rem;
    padding: 20px;
    position: relative;
    color: #1b2e4b;
    letter-spacing: -0.2px;
    width: 100%;
}

@media (min-width: 992px) {
    .content-components {
        padding: 25px;
        margin-top: 60px;
        margin-left: 240px;
    }
}

@media (min-width: 1200px) {
    .content-components {
      padding: 30px;
      /* margin-right: 240px; } } */
    } }
.content-components .container {
    padding: 0;
    max-width: 780px;
}

.content-components pre[class*="language-"],
.content-components code[class*="language-"] {
    border-color: rgba(72, 94, 144, 0.16);
    font-family: 'Roboto Mono', monospace;
    font-size: 12px;
    letter-spacing: normal;
    background-color: #f8f9fc;
}

.floatThead-container {
    z-index: 0 !important;
}

@media (min-width: 992px) {
    .floatThead-container {
        z-index: 1001 !important;
    }
}


/** HandsonTable CSS **/
.handsontable .relative {
    text-align: center;
}

.handsontable th {
    /* background-color: white !important; */
    vertical-align: middle !important;
}

.handsontable table thead th {
    /* background-color: white; */
    color: white !important;
    background-color: #7987A1;
    vertical-align: middle;
    border-width: 0 0 1px !important;
}
.handsontable table thead th.ht__highlight {
    background-color: #8eb0e7 !important;
}
.handsontable table tbody td {
    vertical-align: middle;
}

.handsontable th:last-child {
    border-bottom: 1px solid rgba(72, 94, 144, 0.16) !important;
}

.handsontable .highlight {
    border: 0.01rem solid #0168fa !important
}

.handsontable td:first-of-type {
    border-left: 0px solid #CCC !important;
}
.handsontable th, .handsontable td{
    padding: 0 4px 0 4px !important;
}
.app-top-radius {
    border-bottom-right-radius: 0 !important;
    border-bottom-left-radius: 0 !important;
    border-bottom: 0px !important;
}

/* .wtBorder {
    height: 0px !important;
} */

.lm-overflow {
    overflow: scroll;
    overflow: -moz-scrollbars-none;
    -ms-overflow-style: none;
}

.lm-overflow::-webkit-scrollbar {
    /* display: none;  */
    width: 0 !important
}

.a-btn-border {
    border: 1px solid #fff !important;
}

.a-black {
    color: #1b2e4b !important;
}

/*96Well Plate*/
.row-nowrap {
    flex-wrap: nowrap;
}


ul li {
    list-style: none;
}

.fl {
    float: left;
}

.tc {
    text-align: center;
}

.list1 {
    border: 1px solid #000;
    border-radius: 100%;
}

.list2 {
    border: 0.8px solid #fff;
    font-weight: bold;
    width: 70px !important;
    height: 34px !important;
}

.board {
    width: 910px;
}
.plate-board {
    width: 28rem;
    /* width: 455px; */
}
.plate-list2 {
    border: 0.8px solid #fff;
    font-weight: bold;
    width: 2.05rem !important;
    /* height: 2.05rem !important; */
}
.plate-w2 {
    width: 2.05rem;
    height: 2.05rem;
    text-align: center;
    vertical-align: middle;
}
.w1 {
    width: 40px;
    height: 20px;
    text-align: center;
    vertical-align: middle;
}

.w2 {
    width: 70px;
    height: 70px;
    text-align: center;
    vertical-align: middle;
}


/*gel image upload*/
.upload {
    position: absolute;
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
    outline: none;
    opacity: 0;
}

.svg_overflow {
    overflow: inherit !important;
}

/*GEL IMAGE*/

.cart label {
    position: relative;
    color: #ffffff;
    font-size: 20px;
    cursor: pointer;
}

.cart .item i {
    font-size: 25px;
}

.cart .items-list {
    background-color: #fff;
    padding: 15px 15px 0px 15px;
    border: 1px solid #ddd;
    /* width: 1800px; */
    border-radius: 4px;
    /*    box-shadow: 0px 0px 8px 0px #888;*/
    position: absolute;
    right: 5px;
}
.cart .items-list2 {
    background-color: #fff;
    padding: 15px 15px 0px 15px;
    border: 1px solid #ddd;
    width: 600px;
    max-height: 700px;
    overflow: auto;
    border-radius: 4px;
    /*    box-shadow: 0px 0px 8px 0px #888;*/
    position: absolute;
    right: 5px;
}

.cart .item-name,
.cart .item-price {
    margin: 0px 0px 5px;
}

.cart .item-pic {
    width: 100%;
    height: 50px;
    overflow: hidden;
    border: 1px solid #ddd;
}

.cart .item-pic img {
    height: 100%;
    margin: 0 auto;
    display: block;
}

.cart .item-remove {
    position: absolute;
    right: 0;
    top: 0;
}
.cart .item-remove2 {
  
}

.cart .item-remove i {
    font-size: 20px;
    color: #FF5722;
    opacity: 0.5;
    cursor: pointer;
}
.cart .item-remove2 i {
    font-size: 20px;
    color: #FF5722;
    opacity: 0.5;
    cursor: pointer;
}

.cart .item-remove i:hover {
    opacity: 1;
}

.cart .item {
    padding: 10px 0px;
    border-bottom: 1px solid #ddd;
}

.cart .view-cart {
    text-align: center;
    width: 100%;
    padding: 10px 15px;
    /* background-color: #eee; */
    font-size: 18px;
    text-decoration: none;
    margin-top: -1px;
}

.cart .close-cart {
    float: right;
    color: #0168fa;
    cursor: pointer;
}

.gel-container {
    position: fixed;
    top: 61px;
    right: 100px;
    display: table;
    z-index: 1000;
}

.tape-container {
    position: fixed;
    top: 61px;
    right: 100px;
    display: table;
    z-index: 1000;
}

.label-container {
    position: fixed;
    bottom: 210px;
    right: 105px;
    display: table;
    /*	visibility: hidden;*/
    /* z-index: 9999; */
    z-index: 1000;
}

.label-text1 {
    color: #FFF;
    background: rgba(51, 51, 51, 0.5);
    display: table-cell;
    vertical-align: middle;
    padding: 10px;
    border-radius: 3px;
}

.label-arrow {
    display: table-cell;
    vertical-align: middle;
    color: #333;
    opacity: 0.5;
}

.float1 {
    position: fixed;
    width: 60px;
    height: 60px;
    bottom: -60px;
    right: -60px;
    background-color: #0168fa;
    color: #FFF;
    border-radius: 50px;
    text-align: center;
    box-shadow: 2px 2px 3px #999;
}
.float2 {
    position: fixed;
    width: 60px;
    height: 60px;
    top: 150px;
    right: -60px;
    background-color: #0168fa;
    color: #FFF;
    border-radius: 50px;
    text-align: center;
    box-shadow: 2px 2px 3px #999;
}

.my-float {
    font-size: 24px;
    margin-top: 18px;
}

a.float1+div.label-container {
    visibility: hidden;
    opacity: 0;
    transition: visibility 0s, opacity 0.5s ease;
}

a.float1:hover+div.label-container {
    visibility: visible;
    opacity: 1;
}

.sidebar {
    overflow: auto !important;
}

.completeStyle {
    overflow: scroll;
}

.sidebar::-webkit-scrollbar {
    display: none;
}

/* Track */
.sidebar::-webkit-scrollbar-track {
    background: #f1f1f1;
}

/* Handle */
.sidebar::-webkit-scrollbar-thumb {
    background: #0168fa;
}

/* Handle on hover */
.sidebar::-webkit-scrollbar-thumb:hover {
    background: #0168fa;
}

.chat-height {
    height: 60em !important
}

/*user input*/
.auto-input{
    height: calc(1.5em + 0.9375rem + 2px);
    font-size: 0.75rem !important;
    padding: 7.5px 10px !important;
}

/*department margin*/
.dept-margin-bottom{
    margin-bottom: -0.126rem !important;
}

.closed-cursor {
    cursor: pointer; 
}

/* sheet management used*/
.sheet-group-item {
    position: relative;
    padding: 0.75rem 1.25rem;
    margin-bottom: -1px;
    background-color: #fff;
    border: 1px solid rgba(0, 0, 0, 0.125); }

.none-code-pd {
    padding: 0px 39px 50px 39px !important;
}
.none-date-pd {
    padding: 0px 48px 50px 48px !important;
}
.fs-rem75 {
    font-size: 0.75rem;
}

.svg-cursor {
    cursor: pointer !important;
}

.chatting-height {
    height: 41.3rem;
}

.report-size {
    width: 21cm;
    height: 29.7cm;
    margin: 1mm;
    border: 1px solid black;
}

.report-margin {
    /* margin: 30mm 25.4mm 25.4mm 25.4mm; */
    /* margin: 20mm 20mm 20mm 20mm; */
}

.report-size-input {
    position: fixed;
    /* position: absolute; */
    top: 1mm;
    left: 50%;
    border: 1px solid black;
}

.page {
    width: 21.1cm;
    min-height: 33.1cm;
    padding: 2cm;
    /* margin: 1cm auto; */
    border: 1px #D3D3D3 solid;
    border-radius: 5px;
    background: white;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);
}
.subpage {
    padding: 1cm;
    /* border: 5px red solid; */
    height: 331mm;
    /* outline: 2cm #FFEAEA solid; */
}
.carousel2 {
    position: relative;
    top: -1.2rem !important;
}

@page {
    size: A4;
    margin: 0;
}
@media print {
    .page {
        margin: 0;
        border: initial;
        border-radius: initial;
        width: initial;
        min-height: initial;
        box-shadow: initial;
        background: initial;
        page-break-after: always;
    }
}

.svg-work{
    width: 8rem !important;}
@media (min-width: 576px) {
    .svg-work {
        width: 6rem !important; 
    }
    .svg-loading{
        width: 9rem !important;
    }
}

.svg-loading{
    padding-left: 1rem;
}
.mg-l-2rem{
    margin-left: 2rem !important;
}
.mg-l-3rem{
    margin-left: 3rem !important;
}
.image-sample-font {
    color: #0168fa !important;
    text-align: left;
}
.ml-m-1rem{
    margin-left: -1.2rem !important;
}
.top-rem{
    top: 0.3rem !important;
}

p.MsoNormal, li.MsoNormal, div.MsoNormal{margin:0cm;
margin-bottom:.0001pt;
text-align:justify;
text-justify:inter-ideograph;
text-autospace:none;
word-break:break-hangul;
font-size:10.0pt;
font-family:"바탕",serif;}
p.MsoListParagraph, li.MsoListParagraph, div.MsoListParagraph
{margin-top:0cm;
margin-right:0cm;
margin-bottom:0cm;
margin-left:40.0pt;
margin-bottom:.0001pt;
text-align:justify;
text-justify:inter-ideograph;
text-autospace:none;
word-break:break-hangul;
font-size:10.0pt;
font-family:"바탕",serif;}

.top-rem{
    top: 0.3rem !important;
}

.bootstrap-datetimepicker-widget.dropdown-menu {
    position: fixed !important;
    z-index: 2000;
  }

.fixedHeader{
    position: fixed !important;
    z-index : 1 !important;
    top: 49px !important;
    max-width: calc(100% - 260px) !important;
}
.display-none{
    display: none !important;
}
.display-block{
    display: block !important;
}

.fixedHeader .table{
    background-color: transparent !important;
}
.fixedHeader .table thead{
    background-color: #7987A1 !important;
}
.fixedHeader .table thead tr th{
    color: #fff !important;
}
.fixedHeader .table tbody{
    opacity: 0 !important;
}
.handsontable .table tr th {
    color: black;
}
.hdfixed{
    position: fixed !important;
    top: 60px !important;
    left: 276px !important;
}
.img-input{
    width: 100% !important;
    height: 3rem;
    border: 0px !important;
    padding-left: 20px;
}
.img-input::placeholder{
    color: #4f4f4f;
    font-size:0.75rem;
    font-weight:450;
    font-family:-apple-system,BlinkMacSystemFont,Segoe UI,Roboto,Helvetica,Arial,sans-serif,Apple Color Emoji,Segoe UI Emoji,Segoe UI Symbol;
}
.display-width70{
    display: inline-block !important;
    width: 70% !important;
    min-width: 70% !important;
}
.display-width50{
    display: inline-block !important;
    width: 50% !important;
    min-width: 50% !important;
}
.display-width30{
    position: absolute;
    width: 29% !important;
    min-width: 29% !important;
    display: inline-block !important;
    flex-direction: column;
    word-wrap: break-word;
}
.h_test{
    height: 600px !important;
}
.ht_test{
    height: 31px !important;
}
.df-settings{
    top: 60px;
}
.df-settings-body{
    width: 500px;
}
.df-settings.show {
    right: 500px; }

.text-vertical-3 {
    writing-mode: vertical-lr;
    text-orientation: upright;
}

  .viewer-scroll::-webkit-scrollbar {
    width: 5px;
  }
  .viewer-scroll::-webkit-scrollbar-thumb {
    background-color: #7987a1;
    border-radius: 10px;
    background-clip: padding-box;
    border: 2px solid transparent;
  }
  .viewer-scroll::-webkit-scrollbar-thumb:hover {
    background: #4c5a7a;
    border-radius: 10px;
    background-clip: padding-box;
    border: 2px solid transparent;
  }
  .viewer-scroll::-webkit-scrollbar-track {
    background-color: #F5F5F5;
    border-radius: 10px;
    /* box-shadow: inset 0px 0px 5px white; */
  }
  .mg-t-0-35{
      margin-top: -0.35rem !important;
  }
.overflow-x-hidden {
    overflow-x: auto; 
} 
.b-table-fix-header
{
    Position: relative;
    width: 100%;
    text-align: center;
}

.b-table-fix-header thead th
{
    background: #7987A1;
    color: white;
    border: none;
    position: sticky;
    top: 0;
}
.paste-background-color {
    background-color: #EDF0F4;
}